收藏
回答

map上用cover-view不能使用overflow:scroll

框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
小程序 Bug cover-view 客户端 7.0.3 v1.02.1902010

map上用cover-view不能使用overflow:scroll

cover-view 中也不能使用scroll-view

map层级为最高也不能使用view

请问官方还有其它办法能够实现滚动功能吗? 这太不友好了

回答关注问题邀请回答
收藏

2 个回答

  • nickname
    nickname
    2019-03-13

    基础库 1.9.90 起 cover-view 支持 overflow: scroll,但不支持动态更新 overflow


    2019-03-13
    有用
    回复 5
    • A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸
      A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸
      2019-03-13

      使用代码片段,显示正常了。 谢谢!我再找找BUG。

      你好!请问上次官方更新日志中有提到map等原生组件,会取消最高层级,会在下个版本中更新吗?

      2019-03-13
      回复
    • nickname
      nickname
      2019-03-13回复A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸

      这个以具体上线日期为准哈

      2019-03-13
      回复
    • A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸
      A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸
      2019-03-13回复nickname

      好的谢谢! 已经找到BUG。cover-view中列表渲染 不能用 <view wx:for=""> ,<block wx:for=""> 就可以。不知道这算BUG不


      <cover-view class='jdList'  style='display:{{jdListHide}}'>

      <block wx:for="{{resJdList}}">

      <cover-view class='listFont' catchtap='getJdLocation' data-latitude='{{item.latitude}}' data-longitude='{{item.longitude}}'>

      {{item.title}}

      </cover-view>

      </block>  

      </cover-view>


      2019-03-13
      回复
    • nickname
      nickname
      2019-03-13回复A 黄振峰¹⁸⁷⁷³⁸⁰⁷³⁹⁸

      cover-view里面不能嵌套view的哈

      2019-03-13
      回复
    • hxn
      hxn
      2019-07-09

      在video全屏时,cover-view使用overflow不支持呢

      2019-07-09
      回复
  • ==
    ==
    2019-03-13

    cover-view支持overflow:scroll

    2019-03-13
    有用
    回复 5
登录 后发表内容